# ImageListUpload api

## 实例

```html
<template>
  <div class="image-list-upload-instance part-box">
    <image-list-upload></image-list-upload>
  </div>
</template>

<script>
import ImageListUpload from "@/components/common/ImageListUpload";

export default {
  name: "image-list-upload-instance",
  components: { ImageListUpload },
  data() {
    return {};
  },
  methods: {}
};
</script>
```

## props

| 属性             | 说明                     | 类型     | 默认值              |
| ---------------- | ------------------------ | -------- | ------------------- |
| action           | 上传的地址，必填         | String   | -                   |
| multiple         | 支持多文件上传           | Boolean  | true                |
| headers          | 设置上传的请求头部       | Object   | {}                  |
| with-credentials | 支持发送 cookie 凭证信息 | Boolean  | false               |
| data             | 上传时附带的额外参数     | Object   | -                   |
| name             | 上传的文件字段名         | String   | file                |
| max-size         | 文件大小限制，单位 kb    | Number   | 10 * 1024           |
| rendFileUrl      | 上传完后图片解析路径     | Function | return fileInfo.url |


## events

| 事件名         | 说明                           | 返回值                       |
| -------------- | ------------------------------ | ---------------------------- |
| upload-start   | 文件开始开始上传时的回调       | fileItem：当前上传文件的对象 |
| upload-success | 文件开始上传成功时的回调       | res, fileItem                |
| upload-error   | 文件开始上传失败时的回调       | error, fileItem              |
| uploaded       | 所有合法文件上传成功之后的回调 | fileList                     |
