import { parseHrefParam } from "../plugins/utils";

const MD5 = require("js-md5");

// domain
export function getOrgCode() {
  let domain;
  if (process.env.VUE_APP_SELF_DEFINE_DOMAIN === "true") {
    domain = window.localStorage.getItem("domain_in_url");
  }
  if (!domain) {
    const ipFormat = new RegExp(/\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}/);
    const hostname = window.location.hostname;
    const paramCode = parseHrefParam(window.location.href, "code");

    if (ipFormat.test(hostname) || paramCode) {
      domain = paramCode || window.sessionStorage.getItem("ipDomainCode");
      if (domain) {
        window.sessionStorage.setItem("ipDomainCode", domain);
      }
    } else {
      domain = hostname.split(".")[0];
    }
  }
  console.log(domain);
  return domain;
}

const ADMIN_CODE = "admin";
export const IS_ADMIN_SYSTEM = ADMIN_CODE === getOrgCode();

export const PLATFORM = "WEB";

if (!localStorage.getItem("deviceId")) {
  localStorage.setItem("deviceId", MD5(Math.random() + "-" + Date.now()));
}
export const DEVICE_ID = localStorage.getItem("deviceId");
