export const initKnowledgeList = [
  {
    levelCode: "A",
    startRate: 90,
    endRate: 100,
    levelName: "表现优秀水平",
    result:
      "作答结果反映你在本次测试中表现优秀。你对本学期的知识点掌握的非常牢固，能够将所学的物理概念、规律和结论灵活用于解决相关的物理问题；具有将所学的物理知识，结合一定的数学手段解复杂的或综合性物理问题的能力。",
    advice:
      "希望你在后续课程的的学习中能够继续保持这种学习的态度和热情，戒骄戒躁，不忘初心，进一步拓宽知识面，进行个性化的深入学习，相信你一定会取得更优秀的成绩。"
  },
  {
    levelCode: "B",
    startRate: 75,
    endRate: 90,
    levelName: "表现良好水平",
    result:
      "作答结果反映你在本次测验中处于良好水平。你能理解并基本掌握本学期的绝大部分知识点，能够将所学的物理知识用于解决相关的物理问题。但可能在知识体系上还存在漏洞，对某些知识点掌握的还不够熟练，或者是综合分析的能力还不够强。总之你还有进步的空间。",
    advice:
      "建议你根据本次报告的反馈，进行有针对性的强化学习，逐个攻破曾困扰你的难题，加深对所学知识、概念的理解、进一步提高灵活应用能力和综合分析能力。相信你在下一次的测评中能够更上一层楼。"
  },
  {
    levelCode: "C",
    startRate: 55,
    endRate: 75,
    levelName: "中等水平",
    result:
      "作答结果反映你在本次测验中处于中等水平。你能够理解并掌握本学期所学的大部分知识点，但是还没有形成完整的知识体系，对某些知识点还不能够真正理解并掌握，对于有关物理规律、概念和公式的记忆还不够深刻、运用不够熟练，或者是综合分析能力还有待进一步提高。",
    advice:
      "希望你能够通过本次测试，能够找出自己的知识漏洞，进行有针对性的强化学习和能力训练，形成自己完整的知识体系，进一步提高自己的综合分析能力，相信你在下一次测评中能够取得理想成绩。"
  },
  {
    levelCode: "D",
    startRate: 40,
    endRate: 55,
    levelName: "有待提高水平",
    result:
      "作答结果反映你在本次测验中表现不佳，需要重考或重修本课程。你能够对本课程中所学的知识有初步认识，有一定的了解和记忆，但知识点可能有断层，对部分概念、规律的理解还不够透彻，运用不够熟练，综合分析能力和整体水平还有待提高。",
    advice:
      "胜不骄，败不馁。建议你端正学习态度，破而后立，总结经验，及时补差，相信你在下一次测评中一定能够有较大幅度的进步。"
  },
  {
    levelCode: "E",
    startRate: 0,
    endRate: 40,
    levelName: "本课程没有学好",
    result:
      "作答结果反映你对本课程没有用心学习。对所学的大部分知识点、基本概念、基本原理和基本规律都没有弄明白、含混不清，或考前没有好好复习，把平时学的都忘了。",
    advice:
      "建议你首先端正学习态度，然后将本课程从头开始学习，并做好知识点的梳理、归纳和总结、形成完整系统的知识框架。相信你在重修或重考时能够考出一个满意的成绩。"
  }
];

export const initAbilityList = [
  {
    levelCode: "A",
    startRate: 80,
    endRate: 100,
    levelName: "优秀",
    result: "你在本课程的学习中表现优秀，学习成绩处于班级中前20%的领先水平。",
    advice:
      "能取得这样的成绩，既要有天赋还要足够勤奋，两者缺一不可。建议你继续保持勤奋学习的干劲和态度，充分发挥你的天赋，再接再厉，继续名列前茅。"
  },
  {
    levelCode: "B",
    startRate: 60,
    endRate: 80,
    levelName: "良好",
    result:
      "你在本课程的学习中表现良好，学习成绩处于班级中前21%-前40&的中上游水平",
    advice:
      "天才等于勤奋加努力。希望你能更加勤奋、更加努力地学习，争取下次考试能挤进班上前20%的领先水平。"
  },
  {
    levelCode: "C",
    startRate: 40,
    endRate: 60,
    levelName: "中等",
    result:
      "你的成绩在本课堂中处于中游水平，或许你还没有把你的学习潜能充分发挥出来。",
    advice:
      "你还有较大的上升空间，相信自己，只要足够努力就能进入班上的中上游水平，甚至领先水平。"
  },
  {
    levelCode: "D",
    startRate: 20,
    endRate: 40,
    levelName: "中等偏下",
    result: "你的成绩在本课堂中处于班上前61%-80%中等偏下的水平。",
    advice:
      "建议你能通过本次测试发现自己的问题，向班里优秀的同学学习，你的上升空间很大，相信自己，只要努力一定有进步。"
  },
  {
    levelCode: "E",
    startRate: 0,
    endRate: 20,
    levelName: "表现不佳",
    result:
      "你本次考试的成绩处于班上最后20%的水平，表现不佳。或许你已经尽力了，或许你不够努力，太放松自己了，只有你自己明白。",
    advice:
      "如果你已经尽力了，不必灰心，高手过招，不管输赢，都是高手；如果你还不够努力，请努力追赶，下次一定有进步！"
  }
];
